Bug 970032 - Working example in 10.1 is for mod_cluster with EAP 6 but should be for mod_cluster with Tomcat
Working example in 10.1 is for mod_cluster with EAP 6 but should be for mod_c...
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: doc-HTTP-Connectors-Guide (Show other bugs)
2.0.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 2.0.1
Assigned To: Misha H. Ali
: Documentation
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-03 07:09 EDT by Radim Hatlapatka
Modified: 2014-01-03 07:58 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 07:58:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Radim Hatlapatka 2013-06-03 07:09:21 EDT
The part "Use the Default Configuration" in chapter 10.1 describes setting in EAP 6.

This should be changed by specifying setting for Tomcat which is the webserver shipped in EWS. There is only necessery to add listener for mod_cluster into server.xml, see http://docs.jboss.org/mod_cluster/1.2.0/html_single/#d0e399

Additionally as it is not a default configuration the section "Use the Default Configuration" should be renamed to have more appropriate name. I would suggest something like "Worker Configuration"

And I would also suggest renaming of the "Proxy Server" to "Load Balancer"
Comment 1 Misha H. Ali 2013-06-03 22:21:07 EDT
Changes:

1. "Proxy Server" header in 10.1 is renamed "Load Balancer"
2. Adding the listener. Not sure if this is correct, but is this what you meant(** indicated new stuff):

<LoadModule slotmem_module modules/mod_slotmem.so
LoadModule manager_module modules/mod_manager.so
LoadModule proxy_cluster_module modules/mod_proxy_cluster.so
LoadModule advertise_module modules/mod_advertise.so
**<Listener className="org.jboss.modcluster.container.catalina.standalone.ModClusterListener" advertise="true"/>**

Listen 127.0.0.1:6666
<VirtualHost 127.0.0.1:6666>

    <Directory />
        Order deny,allow
        Deny from all
        Allow from 127.0.0.1
    </Directory>

    KeepAliveTimeout 60
    MaxKeepAliveRequests 0

    ManagerBalancerName mycluster
    ServerAdvertise On
    AdvertiseFrequency 5
    EnableMCPMReceive On

<Location /mod_cluster-manager>
    SetHandler mod_cluster-manager
    Order deny,allow
    Deny from all
    Allow from 127.0.0.1
</Location>

</VirtualHost>

3. Changed "Use the Default Configuration" in 10.1 to "Worker Configuration"


radhim, set a needinfo to clarify #2. Please confirm or correct.
Comment 2 Radim Hatlapatka 2013-06-04 03:00:46 EDT
No it is not correct, the example for Load Balancer (originally Proxy Server) was correct, there is not supposed to be any Listener.

The Listener belongs to Tomcat configuration (worker configuration).

The whole text in Worker Configuration is for EAP6, but it should be for Tomcat, which is part of EWS2. And Tomcat is configured by adding mod_cluster listener, which is described in link provided in comment #0.
Comment 3 Misha H. Ali 2013-06-04 07:03:49 EDT
Further changes:

a. Removed listener from config.

Radhim, can you confirm if I understand what you are recommending, either:

1. Complete Working Example should be split into two (or have two Complete Working examples, one just for EAP and one just for Tomcat).

OR

2. Complete Working Example should contain:

Load Balancer
Worker Configuration for EAP (??)
Worker Configuration for Tomcat (what we currently have plus listener)
Example iptables Firewall Rules

OR 

3. Complete Working Example should contain:

Load Balancer
Worker Configuration (Tomcat with Listener)
Example iptables Firewall Rules

Apologies for the need info multiple times but I'd like to be clear on the required changes for this fix before implementation.
Comment 4 Radim Hatlapatka 2013-06-04 08:06:29 EDT
The working example should contain only the worker configuration for Tomcat as configuration with EAP is in documentation for EAP.

=> option 3 in comment #3
Comment 5 Misha H. Ali 2013-06-04 08:25:05 EDT
Thanks, Radim.

Should be fixed now. This bug will be set to ON_QA with a link as soon as it is ready for verification.
Comment 7 Radim Hatlapatka 2013-06-05 02:56:58 EDT
There is still one typo. At the start of the working example for Load Balancer the character '<' shouldn't be there.

Otherwise it is ok.
Comment 8 Misha H. Ali 2013-06-05 03:16:06 EDT
Removed <. This bug will be set to ON_QA when the results appear on the staging server for verification.
Comment 9 Misha H. Ali 2013-06-05 04:51:01 EDT
Replicated changes including removed < in new document. This bug will be updated to ON_QA with a link when ready for verification.
Comment 11 Radim Hatlapatka 2013-06-06 02:42:39 EDT
It's OK now.

Note You need to log in before you can comment on or make changes to this bug.